/**
 * @author Dr. Vargas-Perez
 * Fall, 2018. Kalamazoo College
 * 
 * With help from our text book and geeksforgeeks.com
 * 
 * This class creates a AVL Binary Search Tree node
 * containing a integer element and the current node's
 * height. 
 *
 */

public class AVLNode {

	private int element;
	private int nodeHeight;
	private AVLNode leftChild, rightChild;
	
	public AVLNode(int e) {
		element = e;
		nodeHeight = 0;
		leftChild = null;
		rightChild = null;
	}

	public int getElement() {
		return element;
	}

	public void setElement(int element) {
		this.element = element;
	}

	public int getNodeHeight() {
		return nodeHeight;
	}

	public void setNodeHeight(int nodeHeight) {
		this.nodeHeight = nodeHeight;
	}

	public AVLNode getLeftChild() {
		return leftChild;
	}

	public void setLeftChild(AVLNode leftChild) {
		this.leftChild = leftChild;
	}

	public AVLNode getRightChild() {
		return rightChild;
	}

	public void setRightChild(AVLNode rightChild) {
		this.rightChild = rightChild;
	}

}
